{% extends 'base_permanencier.html' %}
{% block title %}Recherche client{% endblock %}
{% load crispy_forms_tags %}
{% block content %}
    <p>
        Veuillez d'abord chercher rapidement les clients dans la base de donnée pour éviter de créer des doublons.
        Certaines personnes peuvent déjà être présentes si elles ont déjà participé à d'autres évènements via Billevent
        ou déjà acheté un billet
        (RAID, Gala, Bal).
    </p>
    <hr>
    <div style="display: flex">
        <div class="flex-item card">
            <p class="card-header">Non-adhérent VA</p>
            <div class="card-body">
                <h4>Rechercher un client non-VA:</h4>
                <form method="GET"><!-- style="max-width: 15rem">-->
                    {{ form | crispy }}
                    <button name="_submit" type="submit" class="btn btn-primary">Rechercher</button>
                </form>
                <br/><br/>
                <p>Vous ne trouvez pas le client ?</p>

                <h4>Créer un nouveau client non-VA</h4>
                <a href="{% url 'client-create' %}" class="btn btn-success">Nouveau client</a>
            </div>
        </div>
        <div class="flex-item mx-3" style="max-width: 30%">
            <div class="card">
                <p class="card-header">Adhérent VA</p>
                <div class="card-body">
                    <h4>Rechercher par carte VA :</h4>
                    <form method="POST" action="{% url 'client-va' %}">
                        {% csrf_token %}
                        {{ va_form | crispy }}
                        <button class="btn btn-primary">Rechercher</button>
                    </form>
                    <hr>
                    <h4>Rechercher par informations adhérent :</h4>
                    <form method="POST" action="{% url 'adherent-search' %}">
                        {% csrf_token %}
                        {{ adherent_search_form | crispy }}
                        <button class="btn btn-primary">Rechercher</button>
                    </form>
                </div>
            </div>
            <div class="card mt-3">
                <p class="card-header">Revente et remboursement</p>
                <div class="card-body">
                    {% if ancien_billet %}
                        <p>{{ ancien_billet }} du client {{ ancien_billet.order.client }}
                        </p>
                        <a href="{% url 'billet-cancel-select' %}" class="btn btn-secondary">Désélectionner</a>
                        <hr>
                    {% endif %}
                    {% if nouveau_client %}
                        <p>Client {{ nouveau_client }}</p>
                        <a href="{% url 'client-cancel-select' %}" class="btn btn-secondary">Désélectionner</a>
                    {% endif %}
                    {% if ancien_billet and nouveau_client %}
                        <a class="btn btn-primary float-right"
                           href="{% url 'billets-refund-recreate' old_billet_id=ancien_billet.pk acheteur_client_id=nouveau_client.pk %}">
                            Continuer
                        </a>
                    {% endif %}
                </div>
            </div>
        </div>
    <div class="mx-1">
                <div class="flex-item">

        {% if object_list.count > 0 %}

                <h2>Résultat de la recherche</h2>
                <ul>
                    {% for client in object_list %}
                        <li><a href="{% url 'client-edit' pk=client.pk %}">{{ client }}</a></li>
                    {% endfor %}
                </ul>
            {% else %}
            <p>Aucun client trouvé ! Créez-en un :)</p>
        {% endif %}
                </div>
    </div>
{% endblock %}